module diffstruc__global
  !! This module contains global parameters and settings for the diffstruc library.
  implicit none

  integer :: diffstruc__max_recursion_depth = 1000
  !! Recursion depth limit for operations that traverse the computation graph
  integer :: diffstruc__init_map_cap = 32
  !! Default capacity for pointer mapping in graph operations
  integer :: diffstruc__visit_counter = 0
  !! Global visit counter for O(1) cycle detection in graph traversal

end module diffstruc__global
